Create an account offer (new format)
curl --request POST \
--url https://api.gameboost.com/v2/account-offers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"title": "<string>",
"description": "<string>",
"price": 10.99,
"credentials": [
"Login: myuser\nPassword: mypass123",
"Login: myuser2\nPassword: mypass456"
],
"image_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"account_data": {},
"game": "<string>",
"external_id": "<string>",
"slug": "<string>",
"dump": "<string>",
"private_note": "<string>",
"is_manual": false,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 10,
"unit": "hours"
},
"game_items": {
"champions": [
"lol-aatrox",
"lol-zed"
],
"skins": [
"lol-academy-ahri"
]
}
}
'import requests
url = "https://api.gameboost.com/v2/account-offers/create"
payload = {
"game_id": 123,
"title": "<string>",
"description": "<string>",
"price": 10.99,
"credentials": ["Login: myuser
Password: mypass123", "Login: myuser2
Password: mypass456"],
"image_urls": ["https://example.com/image1.jpg", "https://example.com/image2.jpg"],
"account_data": {},
"game": "<string>",
"external_id": "<string>",
"slug": "<string>",
"dump": "<string>",
"private_note": "<string>",
"is_manual": False,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 10,
"unit": "hours"
},
"game_items": {
"champions": ["lol-aatrox", "lol-zed"],
"skins": ["lol-academy-ahri"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
game_id: 123,
title: '<string>',
description: '<string>',
price: 10.99,
credentials: ['Login: myuser\nPassword: mypass123', 'Login: myuser2\nPassword: mypass456'],
image_urls: ['https://example.com/image1.jpg', 'https://example.com/image2.jpg'],
account_data: {},
game: '<string>',
external_id: '<string>',
slug: '<string>',
dump: '<string>',
private_note: '<string>',
is_manual: false,
delivery_instructions: '<string>',
delivery_time: {duration: 10, unit: 'hours'},
game_items: {champions: ['lol-aatrox', 'lol-zed'], skins: ['lol-academy-ahri']}
})
};
fetch('https://api.gameboost.com/v2/account-offers/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-offers/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'game_id' => 123,
'title' => '<string>',
'description' => '<string>',
'price' => 10.99,
'credentials' => [
'Login: myuser
Password: mypass123',
'Login: myuser2
Password: mypass456'
],
'image_urls' => [
'https://example.com/image1.jpg',
'https://example.com/image2.jpg'
],
'account_data' => [
],
'game' => '<string>',
'external_id' => '<string>',
'slug' => '<string>',
'dump' => '<string>',
'private_note' => '<string>',
'is_manual' => false,
'delivery_instructions' => '<string>',
'delivery_time' => [
'duration' => 10,
'unit' => 'hours'
],
'game_items' => [
'champions' => [
'lol-aatrox',
'lol-zed'
],
'skins' => [
'lol-academy-ahri'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-offers/create"
payload := strings.NewReader("{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gameboost.com/v2/account-offers/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-offers/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"account_order_ids": [
123
],
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"dump": "<string>",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"is_manual_delivery": true,
"credentials": {
"login": "<string>",
"password": "<string>",
"email_login": "<string>",
"email_password": "<string>",
"email_provider": "<string>"
},
"delivery_instructions": "<string>",
"price": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Account Offers
Create an account offer (new format)
Create a new account offer using the new credential format where credentials are provided as an array of strings. This endpoint does NOT accept legacy login/password fields. The created account will use the new credential system, enabling bulk credential management via the credential endpoints.
POST
/
v2
/
account-offers
/
create
Create an account offer (new format)
curl --request POST \
--url https://api.gameboost.com/v2/account-offers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"title": "<string>",
"description": "<string>",
"price": 10.99,
"credentials": [
"Login: myuser\nPassword: mypass123",
"Login: myuser2\nPassword: mypass456"
],
"image_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"account_data": {},
"game": "<string>",
"external_id": "<string>",
"slug": "<string>",
"dump": "<string>",
"private_note": "<string>",
"is_manual": false,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 10,
"unit": "hours"
},
"game_items": {
"champions": [
"lol-aatrox",
"lol-zed"
],
"skins": [
"lol-academy-ahri"
]
}
}
'import requests
url = "https://api.gameboost.com/v2/account-offers/create"
payload = {
"game_id": 123,
"title": "<string>",
"description": "<string>",
"price": 10.99,
"credentials": ["Login: myuser
Password: mypass123", "Login: myuser2
Password: mypass456"],
"image_urls": ["https://example.com/image1.jpg", "https://example.com/image2.jpg"],
"account_data": {},
"game": "<string>",
"external_id": "<string>",
"slug": "<string>",
"dump": "<string>",
"private_note": "<string>",
"is_manual": False,
"delivery_instructions": "<string>",
"delivery_time": {
"duration": 10,
"unit": "hours"
},
"game_items": {
"champions": ["lol-aatrox", "lol-zed"],
"skins": ["lol-academy-ahri"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
game_id: 123,
title: '<string>',
description: '<string>',
price: 10.99,
credentials: ['Login: myuser\nPassword: mypass123', 'Login: myuser2\nPassword: mypass456'],
image_urls: ['https://example.com/image1.jpg', 'https://example.com/image2.jpg'],
account_data: {},
game: '<string>',
external_id: '<string>',
slug: '<string>',
dump: '<string>',
private_note: '<string>',
is_manual: false,
delivery_instructions: '<string>',
delivery_time: {duration: 10, unit: 'hours'},
game_items: {champions: ['lol-aatrox', 'lol-zed'], skins: ['lol-academy-ahri']}
})
};
fetch('https://api.gameboost.com/v2/account-offers/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/account-offers/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'game_id' => 123,
'title' => '<string>',
'description' => '<string>',
'price' => 10.99,
'credentials' => [
'Login: myuser
Password: mypass123',
'Login: myuser2
Password: mypass456'
],
'image_urls' => [
'https://example.com/image1.jpg',
'https://example.com/image2.jpg'
],
'account_data' => [
],
'game' => '<string>',
'external_id' => '<string>',
'slug' => '<string>',
'dump' => '<string>',
'private_note' => '<string>',
'is_manual' => false,
'delivery_instructions' => '<string>',
'delivery_time' => [
'duration' => 10,
'unit' => 'hours'
],
'game_items' => [
'champions' => [
'lol-aatrox',
'lol-zed'
],
'skins' => [
'lol-academy-ahri'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/account-offers/create"
payload := strings.NewReader("{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gameboost.com/v2/account-offers/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/account-offers/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"game_id\": 123,\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 10.99,\n \"credentials\": [\n \"Login: myuser\\nPassword: mypass123\",\n \"Login: myuser2\\nPassword: mypass456\"\n ],\n \"image_urls\": [\n \"https://example.com/image1.jpg\",\n \"https://example.com/image2.jpg\"\n ],\n \"account_data\": {},\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"slug\": \"<string>\",\n \"dump\": \"<string>\",\n \"private_note\": \"<string>\",\n \"is_manual\": false,\n \"delivery_instructions\": \"<string>\",\n \"delivery_time\": {\n \"duration\": 10,\n \"unit\": \"hours\"\n },\n \"game_items\": {\n \"champions\": [\n \"lol-aatrox\",\n \"lol-zed\"\n ],\n \"skins\": [\n \"lol-academy-ahri\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"account_order_ids": [
123
],
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"dump": "<string>",
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"is_manual_delivery": true,
"credentials": {
"login": "<string>",
"password": "<string>",
"email_login": "<string>",
"email_password": "<string>",
"email_provider": "<string>"
},
"delivery_instructions": "<string>",
"price": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Authorizations
Body
application/json
Create an account offer using the new credential format. Legacy login/password fields are not accepted.
Array of credential strings. Each entry represents one deliverable credential set. At least one credential is required.
Minimum array length:
1Credential string (e.g. "Login: user\nPassword: pass")
Maximum string length:
500Example:
[
"Login: myuser\nPassword: mypass123",
"Login: myuser2\nPassword: mypass456"
]
Specifics available via the template endpoint. Game-specific account attributes such as level, rank, champions unlocked, etc.
Was this page helpful?